# Generated from redshift-on-postgres-adapter-0.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redshift-on-postgres-adapter

Name: rubygem-%{gem_name}
Version: 0.2.2
Release: 1%{?dist}
Summary: This gem provides ActiveRecord adapter for Redshift by overloading the built-in Rails 5 PostgreSQL adapter
License: BSD-2-Clause
URL: https://github.com/liaody/redshift-on-postgres-adapter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Rails 5 Amazon Redshift adapter based on built-in postgresql adapter.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 0.2.2-1
- Initial package
